cURL
curl --request GET \
--url https://cdn.r25.io/static/projects/{projectId}/spaces/{spaceId}/banner/instances/{instanceId}/banners \
--header 'x-r25-ac-api-key: <x-r25-ac-api-key>' \
--header 'x-r25-ac-api-secret: <x-r25-ac-api-secret>'import requests
url = "https://cdn.r25.io/static/projects/{projectId}/spaces/{spaceId}/banner/instances/{instanceId}/banners"
headers = {
"x-r25-ac-api-key": "<x-r25-ac-api-key>",
"x-r25-ac-api-secret": "<x-r25-ac-api-secret>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-r25-ac-api-key': '<x-r25-ac-api-key>',
'x-r25-ac-api-secret': '<x-r25-ac-api-secret>'
}
};
fetch('https://cdn.r25.io/static/projects/{projectId}/spaces/{spaceId}/banner/instances/{instanceId}/banners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 999999,
"currentPage": 1,
"list": [
{
"contentId": "<string>",
"projectId": "<string>",
"spaceId": "<string>",
"name": "<string>",
"values": {
"title": "<string>",
"url": "<string>",
"image": {
"mediaId": "<string>",
"media": {
"name": "<string>",
"type": "image",
"mediaId": "<string>",
"projectId": "<string>",
"spaceId": "<string>",
"assets": [
{
"path": "media/00000000000000000000000.png",
"accessUrl": "<string>"
}
],
"accessUrl": "<string>",
"thumbnailAccessUrl": "<string>",
"meta": {
"ext": "png",
"mimetype": "image/png",
"asset": "AdobeAnimate_cjs_1_0_0"
},
"fileSize": 1234567,
"duration": 1234567,
"operations": [
{
"type": "trim",
"orientation": "top-left"
}
],
"thumbnailOperations": [
{
"type": "trim",
"orientation": "top-left"
}
],
"alias": "<string>",
"originalUrl": "<string>",
"status": "published",
"signed": true
}
}
},
"alias": "<string>",
"reservedAt": 123,
"closingAt": 123,
"openingAt": 123,
"createdAt": 123,
"updatedAt": 123
}
]
}エンドポイント
バナー一覧取得
バナーコンテンツを一覧取得
GET
/
static
/
projects
/
{projectId}
/
spaces
/
{spaceId}
/
banner
/
instances
/
{instanceId}
/
banners
cURL
Headers
コンソールで取得したAPIキーを指定してください。
コンソールで取得したAPIシークレットを指定してください。
Path Parameters
ご自身のプロジェクトIDを指定してください。
ご自身のスペースIDを指定してください。
ご自身のアプリケーションIDを指定してください。
Query Parameters
sizeで指定した数で何ページ目のリソースを取得するか指定できます。
Required range:
x >= 1最大何個のリソースを取得するか指定できます。
Required range:
1 <= x <= 99リソースの順番を指定できます。カンマ区切りで、複数の値を指定できます。複数指定の場合、指定した順にソートされます。 e.g. createdAt:desc,updatedAt:asc
コンテンツIDを複数指定して取得できます。カンマ区切りで、複数の値を指定できます。
⌘I